설정
시스템 설정 수정 (부분)
PATCH
/
api
/
manager
/
settings
시스템 설정 수정 (부분)
curl --request PATCH \
--url https://your_a2_service/api/manager/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "KRW",
"language": "ko",
"public_url": "https://ads.example.com"
}
'import requests
url = "https://your_a2_service/api/manager/settings"
payload = {
"currency": "KRW",
"language": "ko",
"public_url": "https://ads.example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'KRW', language: 'ko', public_url: 'https://ads.example.com'})
};
fetch('https://your_a2_service/api/manager/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"currency": "KRW",
"language": "<string>",
"no": 123,
"tls_enable": true,
"updated_at": "2023-11-07T05:31:56Z",
"access_token": {
"access_token": "<string>",
"token_type": "Bearer"
},
"example_data_info": "<unknown>",
"ext": {},
"external_channel_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_url": "<string>",
"site_config": {
"footer_height": 123,
"footer_html": "<string>",
"show_a2_news": true,
"terms_url": "<string>"
},
"tls_domain": "<string>",
"yield_optimization": {
"ceiling_cpm": 123,
"floor_cpm": 123,
"yield_roas_balance": 0.5
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}인증
Bearer 인증. 액세스 토큰을 Authorization: Bearer <token> 헤더로 전달합니다.
본문
application/json
PATCH /settings 요청 본문.
부분 수정 — 요청 본문에 있는 필드만 덮어씁니다. access_token은 의도적으로 제외: POST /settings/access-token으로 회전시켜 항상 서버가 서명한 JWT가 되도록 합니다.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
응답
성공 응답
전체 설정 응답. 싱글톤 행, UUID id 없음.
예산 관리에 사용하는 통화 코드 (예: "USD", "KRW").
사용 가능한 옵션:
KRW, USD 시스템 언어 코드 (예: "en", "ko").
설정 행 내부 식별자.
TLS 활성화 여부.
외부 연동용 Bearer 액세스 토큰.
Show child attributes
Show child attributes
예시 데이터 정보.
설정 전용 데이터 확장 백.
예산 관리 시 사용하는 외부 채널 URL.
이벤트 트래커 및 외부 링크용 시스템 기본 Public URL.
사이트 구성 값.
Show child attributes
Show child attributes
TLS 도메인 이름.
수익 최적화 설정.
Show child attributes
Show child attributes
이 페이지가 도움이 되었나요?
⌘I
시스템 설정 수정 (부분)
